﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.TeamArchitect.PowerTools;
using Microsoft.VisualStudio.TeamArchitect.PowerTools.Features;

namespace $safeprojectname$
{
    public class GuidanceStepDetails
    {
        public GuidanceStepDetails(string anchorText)
        {
            AnchorText = anchorText;
            TheFeatureManager = GuidanceTaggerProvider.ourFM;

            // TODO: Parse the anchor text and look up the details for this guidance step.
            Description = anchorText;

            string audioFileName = BlackboardManager.Current.Get("OptionalArgs");

            AudioCommentary = new Uri("file://" + audioFileName.Replace("\\","/"), UriKind.Absolute);
        }

        public string AnchorText { get; private set; }
        public string Description { get; private set; }
        public Uri CurrentStep { get; private set; }
        public Uri NextStep { get; private set; }
        public Uri AudioCommentary { get; private set; }
        public IFeatureManager TheFeatureManager { get; set; }  // this is how, in the actionable code, we can find our way back to the active feature.

    }
}
