﻿using System;
using System.Windows.Data;

namespace $safeprojectname$.UI
{
    public class IconSelector : IValueConverter
    {
        public object Convert( object value, Type targetType, object parameter, System.Globalization.CultureInfo culture )
        {
            if ( value == null ) return string.Empty;

            string imageUri = string.Empty;
            String paramName = (string)parameter;

            // Value = Playing or Pasted property.
            bool propValue = (bool)value;

            switch (paramName)
            {
                case "Play":
                    imageUri = propValue ? "/$safeprojectname$;component/Images/Pause.png" : "/$safeprojectname$;component/Images/Play.png";
                    break;
                case "Paste":
                    imageUri = propValue ? "/$safeprojectname$;component/Images/Tick.png" : "/$safeprojectname$;component/Images/Add.png";
                    break;
            }

            return imageUri;
        }

        public object ConvertBack( object value, Type targetType, object parameter, System.Globalization.CultureInfo culture )
        {
            return string.Empty;
        }
    }
}
