﻿using System;
using System.ComponentModel.Composition;
using System.Linq;

using Microsoft.VisualStudio.TeamArchitect.PowerTools.Features;
using Microsoft.VisualStudio.TeamArchitect.PowerTools.Features.Diagnostics;
using System.Windows.Forms;

namespace $safeprojectname$
{
	[LaunchPoint(Id = "VsTemplateLaunchPoint1")]
	public partial class VsTemplateLaunchPoint1 : VsTemplateLaunchPoint
	{
	    ////////////////////////////////////////////////////////////////////
		// CHANGE THIS LINE TO MANUALLY ENABLE A VS TEMPLATE LAUNCH POINT
		//
		// Note:  The contents of this string must match the contents of the <Name>
		// tag within your .vstemplate file.
		////////////////////////////////////////////////////////////////////
	    public const string TemplateName = "~~Change-to-match-your-template-name~~";


	    public const string TemplateCategory = "CSharp";
		public const string TemplateId = "";

		[ImportingConstructor]
	    public VsTemplateLaunchPoint1(IFeatureManager featureManager)
	        : base(featureManager, TemplateId, TemplateName, TemplateCategory)
	    {
		}

		public override FeatureInstantiation FeatureInstantiation
		{
			get { return FeatureInstantiation.MultipleInstance; }
		}

		public override bool IsDefaultTemplate
		{
			get { return false; }
		}

		public override void OnBeforeUnfoldTemplate()
		{
		    //
			// PUT YOUR CODE HERE
			//
			MessageBox.Show("Before Template Unfold");
		}

		public override void OnAfterUnfoldTemplate()
		{
		    //
			// PUT YOUR CODE HERE
			//
			MessageBox.Show("After Template Unfold");
		}
	}
}
